# Class AbstractOperationHandler

java.lang.Object
org.eclipse.rap.rwt.remote.AbstractOperationHandler

All Implemented Interfaces:
  `Serializable, OperationHandler`

public abstract class AbstractOperationHandler extends Object implements OperationHandler, Serializable
This class provides an empty implementation of the `OperationHandler` interface, to minimize the effort required to implement this interface.

Subclasses only need to override those methods that are needed to handle the expected operations for the corresponding remote type. Methods that are not overridden will throw an `UnsupportedOperationException`.

It is recommended to extend this base class rather than to implement the OperationHandler interface itself.

Since:
  2.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AbstractOperationHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleCall(String method, JsonObject parameters)`
Handles a call operation from the remote object.
`void`
`handleNotify(String event, JsonObject properties)`
Handles a notify operation from the remote object.
`void`
`handleSet(JsonObject properties)`
Handles a set operation from the remote object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractOperationHandler

public AbstractOperationHandler()

## Method Details

### handleSet

public void handleSet(JsonObject properties)
Description copied from interface: `OperationHandler`
Handles a set operation from the remote object. With a set operation, the remote object informs the receiver that one or more properties have changed their values. The implementation of this method must apply the new property values to the target object in a suitable order.

Specified by:
  `handleSet` in interface `OperationHandler`
Parameters:
  `properties` - a map with the properties
Since:
  2.1

### handleCall

public void handleCall(String method, JsonObject parameters)
Description copied from interface: `OperationHandler`
Handles a call operation from the remote object. With a call operation, the remote object instructs the receiver to call a method on the target object. The method call may be parameterized with the given properties.

Specified by:
  `handleCall` in interface `OperationHandler`
Parameters:
  `method` - the name of the method to call
  `parameters` - the parameters for the method call, may be empty but never `null`
Since:
  2.1

### handleNotify

public void handleNotify(String event, JsonObject properties)
Description copied from interface: `OperationHandler`
Handles a notify operation from the remote object. With a notify operation, the remote object notifies the receiver that an event has occurred. An implementation of this method must notify the corresponding listeners attached to the target object.

Specified by:
  `handleNotify` in interface `OperationHandler`
Parameters:
  `event` - the name of the event that occurred
  `properties` - the event properties, may be empty but never `null`
Since:
  2.1